%define name	dyalog
%define Name	DyALog
%define version 1.12.0
%define release %mkrel 3
%define _disable_ld_no_undefined 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Compiler for tabular execution of logic programs
Summary(fr):	Compilateur pour l'execution tabulaire de programmes logiques
License:	GPL
Group:		Sciences/Computer science
Url:		http://dyalog.gforge.inria.fr/
Source:		http://gforge.inria.fr/frs/download.php/5634/%{Name}-%{version}.tar.gz
Patch0:     DyALog-1.12.0-libgc-7.1-fix.patch
Patch1:     DyALog-1.12.0-fix-dyacc.patch
Requires:	    automake1.9
Requires:	    libgc-devel
BuildRequires:	libgc-devel
BuildRequires:	perl-Test-Cmd
BuildRequires:	perl-Test-Simple
ExclusiveArch:  %{ix86}
Buildroot:	    %{_tmppath}/%{name}-%{version}

%description
DyALog is an experimental compiler of logic programs and grammars
oriented toward a tabular execution (.i.e., where subcomputations are
shared when possible by storing traces of them in a table). It is
useful to build efficient parsers for highly ambiguous and recursive
grammars for Natural Language processing.

%description -l fr
DyALog est un compilateur experimental de grammaires et programmes
logiques concu pour assurer une evaluation tabulaire (c.a.d où les
sous-calculs sont réutilisés quand c'est possible grâce à un stockage
de traces dans une table). Ce compilateur est surtout utile pour
construire des analyseurs syntaxiques efficaces pour des grammaires
hautement ambiguës et récursives dans le cadre du traitement de la
langue naturelle.

%prep
%setup -q -n %{Name}-%{version}
%patch0 -p 1
%patch1 -p 1

%build
%configure2_5x
%make CFLAGS="$RPM_OPT_FLAGS" CCASFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
%makeinstall_std
%make check

%if %{mdkversion} >= 1010
install -d -m 755 %{buildroot}%{_sysconfdir}/ld.so.conf.d
cat >%{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}.conf <<EOF
%{_libdir}/DyALog
EOF
%endif

%clean
rm -rf %{buildroot}

%post
%_install_info %{name}.info
%if %{mdkversion} < 1010
cat %{_sysconfdir}/ld.so.conf<<EOF
%{_libdir}/DyALog
EOF
%endif
%if %mdkversion < 200900
/sbin/ldconfig
%endif

%preun
%_remove_install_info %{name}.info

%postun
%if %{mdkversion} < 1010
perl -pi -e 's|^%{_libdir}/DyALog\n||' %{_sysconfdir}/ld.so.conf
%{_libdir}/DyALog
%endif
%if %mdkversion < 200900
/sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
%if %{mdkversion} >= 1010
%config(noreplace) %{_sysconfdir}/ld.so.conf.d/%{name}.conf
%endif
%{_bindir}/*
%{_infodir}/dyalog*
%{_libdir}/DyALog
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/%{name}.m4



%changelog
* Sun Jan 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.12.0-3mdv2010.1
+ Revision: 492602
- don't forget to apply patch, otherwise it doesn't work very much...

* Sun Jan 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.12.0-2mdv2010.1
+ Revision: 492537
- patch1: fix gcc arguments ordering in dyacc

* Sat Jan 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.12.0-1mdv2010.1
+ Revision: 492521
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.11.3-1mdv2008.1
+ Revision: 133609
- update to new version 1.11.3

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.11.2-1mdv2008.0
+ Revision: 32464
- new version, exclusing x86_64 arch
- new version


* Mon Mar 27 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.11.0-2mdk
- requires libgc-devel

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.11.0-1mdk
- New release 1.11.0
- %%mkrel

* Thu Dec 16 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.10.6-7mdk 
- requires automake1.9

* Wed Dec 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.10.6-6mdk
- also fix ld.so path management on 10.0

* Wed Dec 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.10.6-5mdk
- fix 10.0 build  

* Mon Dec 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.10.6-4mdk 
- fix ld.so path modification

* Mon Dec 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.10.6-3mdk 
- add %%{_libdir}/DyALog to ld.so path

* Mon Dec 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.10.6-2mdk 
- no need for autoconf patch for enforcing proper optimisations

* Mon Dec 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.10.6-1mdk
- New release 1.10.6
- rpmbuilupdate aware

* Tue Nov 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.10.5-1mdk 
- new release
- enforce proper optimisations

* Mon Feb 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.10.4-1mdk
- first mdk release
